Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.stream
Class ElementFactory

    java.lang.Object
      weblogic.xml.stream.ElementFactory

Deprecated. please use java standard StAX api

public class ElementFactory
extends Object

Defines a utility to create the interfaces in the stream package

Since:
  XMLInputStream 1.0
See Also:
  `XMLName`, `AttributeIterator`, `StartElement`, `EndElement`, `ProcessingInstruction`, `Comment`, `Space`, `CharacterData`, `StartDocument`, `EndDocument`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ElementFactory()` Deprecated.

Method Summary
`static Attribute` | `createAttribute(String localName, String value)` Deprecated.
`static Attribute` | `createAttribute(String namespaceUri, String localName, String value)` Deprecated.
`static Attribute` | `createAttribute(XMLName name, String value)` Deprecated.
`static Attribute` | `createAttribute(XMLName name, String value, String type)` Deprecated.
`static AttributeIterator` | `createAttributeIterator(Iterator iterator)` Deprecated.
`static CharacterData` | `createCharacterData(String content)` Deprecated.
`static Comment` | `createComment(String content)` Deprecated.
`static EndDocument` | `createEndDocument()` Deprecated.
`static EndElement` | `createEndElement(String localName)` Deprecated.
`static EndElement` | `createEndElement(String namespaceUri, String localName)` Deprecated.
`static EndElement` | `createEndElement(String namespaceUri, String localName, String prefix)` Deprecated.
`static EndElement` | `createEndElement(XMLName name)` Deprecated.
`static Attribute` | `createNamespaceAttribute(String prefix, String namespaceUri)` Deprecated.
`static ProcessingInstruction` | `createProcessingInstruction(XMLName name, String content)` Deprecated.
`static Space` | `createSpace(String content)` Deprecated.
`static StartDocument` | `createStartDocument()` Deprecated.
`static StartDocument` | `createStartDocument(String encoding)` Deprecated.
`static StartDocument` | `createStartDocument(String encoding, String version)` Deprecated.
`static StartDocument` | `createStartDocument(String encoding, String version, String standalone)` Deprecated.
`static StartElement` | `createStartElement(String localName)` Deprecated.
`static StartElement` | `createStartElement(String namespaceUri, String localName)` Deprecated.
`static StartElement` | `createStartElement(String namespaceURI, String localName, String prefix)` Deprecated.
`static StartElement` | `createStartElement(XMLName name)` Deprecated.
`static StartElement` | `createStartElement(XMLName name, AttributeIterator attributes)` Deprecated.
`static StartElement` | `createStartElement(XMLName name, AttributeIterator attributes, AttributeIterator namespaces)` Deprecated.
`static XMLName` | `createXMLName(String localName)` Deprecated.
`static XMLName` | `createXMLName(String namespaceUri, String localName)` Deprecated.
`static XMLName` | `createXMLName(String namespaceUri, String localName, String prefix)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementFactory

    public ElementFactory()

  Deprecated.

Method Detail

### createAttribute

    public static Attribute createAttribute(String localName,
                                            String value)

  Deprecated.

### createAttribute

    public static Attribute createAttribute(String namespaceUri,
                                            String localName,
                                            String value)

  Deprecated.

### createAttribute

    public static Attribute createAttribute(XMLName name,
                                            String value)

  Deprecated.

### createAttribute

    public static Attribute createAttribute(XMLName name,
                                            String value,
                                            String type)

  Deprecated.

### createAttributeIterator

    public static AttributeIterator createAttributeIterator(Iterator iterator)

  Deprecated.

### createCharacterData

    public static CharacterData createCharacterData(String content)

  Deprecated.

### createComment

    public static Comment createComment(String content)

  Deprecated.

### createEndDocument

    public static EndDocument createEndDocument()

  Deprecated.

### createEndElement

    public static EndElement createEndElement(String localName)

  Deprecated.

### createEndElement

    public static EndElement createEndElement(String namespaceUri,
                                              String localName)

  Deprecated.

### createEndElement

    public static EndElement createEndElement(String namespaceUri,
                                              String localName,
                                              String prefix)

  Deprecated.

### createEndElement

    public static EndElement createEndElement(XMLName name)

  Deprecated.

### createNamespaceAttribute

    public static Attribute createNamespaceAttribute(String prefix,
                                                     String namespaceUri)

  Deprecated.

### createProcessingInstruction

    public static ProcessingInstruction createProcessingInstruction(XMLName name,
                                                                    String content)

  Deprecated.

### createSpace

    public static Space createSpace(String content)

  Deprecated.

### createStartDocument

    public static StartDocument createStartDocument()

  Deprecated.

### createStartDocument

    public static StartDocument createStartDocument(String encoding)

  Deprecated.

### createStartDocument

    public static StartDocument createStartDocument(String encoding,
                                                    String version)

  Deprecated.

### createStartDocument

    public static StartDocument createStartDocument(String encoding,
                                                    String version,
                                                    String standalone)

  Deprecated.

### createStartElement

    public static StartElement createStartElement(String localName)

  Deprecated.

### createStartElement

    public static StartElement createStartElement(String namespaceUri,
                                                  String localName)

  Deprecated.

### createStartElement

    public static StartElement createStartElement(String namespaceURI,
                                                  String localName,
                                                  String prefix)

  Deprecated.

### createStartElement

    public static StartElement createStartElement(XMLName name)

  Deprecated.

### createStartElement

    public static StartElement createStartElement(XMLName name,
                                                  AttributeIterator attributes)

  Deprecated.

### createStartElement

    public static StartElement createStartElement(XMLName name,
                                                  AttributeIterator attributes,
                                                  AttributeIterator namespaces)

  Deprecated.

### createXMLName

    public static XMLName createXMLName(String localName)

  Deprecated.

### createXMLName

    public static XMLName createXMLName(String namespaceUri,
                                        String localName)

  Deprecated.

### createXMLName

    public static XMLName createXMLName(String namespaceUri,
                                        String localName,
                                        String prefix)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD